clang 8.0.0

Functions
Hexagon.cpp File Reference
`#include "Hexagon.h"`
`#include "CommonArgs.h"`
`#include "InputInfo.h"`
`#include "clang/Driver/Compilation.h"`
`#include "clang/Driver/Driver.h"`
`#include "clang/Driver/DriverDiagnostic.h"`
`#include "clang/Driver/Options.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "llvm/Option/ArgList.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/VirtualFileSystem.h"`
Include dependency graph for Hexagon.cpp:

Go to the source code of this file.

## Functions
static StringRef | getDefaultHvxLength (StringRef Cpu)
static void | handleHVXWarnings (const Driver &D, const ArgList &Args)
static void | handleHVXTargetFeatures (const Driver &D, const ArgList &Args, std::vector< StringRef > &Features, bool &HasHVX)
static void | constructHexagonLinkArgs (Compilation &C, const JobAction &JA, const toolchains::HexagonToolChain &HTC, const InputInfo &Output, const InputInfoList &Inputs, const ArgList &Args, ArgStringList &CmdArgs, const char *LinkingOutput)

## Function Documentation

## ◆ constructHexagonLinkArgs()

static void constructHexagonLinkArgs | ( | Compilation & | C,
|  | const JobAction & | JA,
|  | const toolchains::HexagonToolChain & | HTC,
|  | const InputInfo & | Output,
|  | const InputInfoList & | Inputs,
|  | const ArgList & | Args,
|  | ArgStringList & | CmdArgs,
|  | const char * | LinkingOutput
| ) |  |
| static

Definition at line 195 of file Hexagon.cpp.

References clang::driver::toolchains::Linux::ExtraOpts, clang::driver::ToolChain::getDriver(), clang::driver::InputInfo::getFilename(), clang::driver::toolchains::HexagonToolChain::getHexagonTargetDir(), clang::driver::toolchains::HexagonToolChain::getSmallDataThreshold(), clang::driver::toolchains::HexagonToolChain::GetTargetCPUVersion(), clang::driver::Driver::InstalledDir, IsStatic, and clang::driver::Driver::PrefixDirs.

Referenced by clang::driver::tools::hexagon::Linker::ConstructJob().

## ◆ getDefaultHvxLength()

static StringRef getDefaultHvxLength | ( | StringRef | Cpu | ) |
| static

Definition at line 30 of file Hexagon.cpp.

Referenced by handleHVXTargetFeatures().

## ◆ handleHVXTargetFeatures()

static void handleHVXTargetFeatures | ( | const Driver & | D,
|  | const ArgList & | Args,
|  | std::vector< StringRef > & | Features,
|  | bool & | HasHVX
| ) |  |
| static

Definition at line 50 of file Hexagon.cpp.

References clang::driver::Driver::Diag(), getDefaultHvxLength(), clang::driver::tools::hexagon::getHexagonTargetFeatures(), clang::driver::toolchains::HexagonToolChain::GetTargetCPUVersion(), handleHVXWarnings(), and clang::driver::tools::handleTargetFeaturesGroup().

## ◆ handleHVXWarnings()

static void handleHVXWarnings | ( | const Driver & | D,
|  | const ArgList & | Args
| ) |  |
| static

Definition at line 39 of file Hexagon.cpp.

References clang::driver::Driver::Diag().

Referenced by handleHVXTargetFeatures().